package com.yunfeiyun.agmp.common.enums;

import java.util.concurrent.Delayed;

public class SysWarnEnum {
    public enum SysWarnClass{
        PRODUCTIVE_PROCESS("0","生产过程"),
        QUALITY_INSPECTION_PROCESS("1","质检环节"),
        SALES_PROCESS("2","销售环节"),
        TRANSPORTATION_PROCESS("3","运输环节"),
        SCAN_CODE_PROCESS("4","扫码异常");

        private final String code;
        private final String remark;
        private SysWarnClass(String code,String remark){
            this.code = code;
            this.remark = remark;
        }
        public String getCode(){
            return this.code;
        }
        public String getRemark(){
            return this.remark;
        }
    }

    public enum SysWarnType{
        INSECT_SITUATION_WARNING("0","虫情预警"),

        METEOROLOGICAL_WARNING("1","气象预警"),

        UNQUALIFIED("2","未质检"),

        UNASSIGNED_CODE("3","未赋码"),

        DELAYED_DELIVERY("4","超期未送达"),

        OVER_MAX_SCAN_TIMES("5","超出扫码次数"),
        OFFSITE_SCAN("6","异地扫码");

        private final String code;
        private final String remark;
        SysWarnType(String code,String remark){
            this.code = code;
            this.remark = remark;
        }
        public String getCode(){
            return this.code;
        }
        public String getRemark(){
            return this.remark;
        }
    }
}
